complexType "ExerciseFeeSchedule"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 4 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | notionalReference?, (feeAmountSchedule? | feeRateSchedule?), feePaymentDate?
</...>

Content Model Elements (4):

  feeAmountSchedule,
  feePaymentDate (defined in ExerciseFeeSchedule complexType),
  feeRateSchedule,
  notionalReference (defined in ExerciseFeeSchedule complexType)

All Direct / Indirect Based Elements (2):

  exerciseFeeSchedule (in americanExercise), | exerciseFeeSchedule (in bermudaExercise)

Known Usage Locations

- As direct type of elements (2):

  exerciseFeeSchedule (in americanExercise), | exerciseFeeSchedule (in bermudaExercise)

Annotation
A type to define a fee or schedule of fees to be payable on the exercise of an option. This fee may be defined as an amount or a percentage of the notional exercised.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="ExerciseFeeSchedule"> <xsd:sequence> <xsd:element minOccurs="0" name="notionalReference" type="ScheduleReference"/> <xsd:choice> <xsd:element minOccurs="0" name="feeAmountSchedule" type="AmountSchedule"/> <xsd:element minOccurs="0" name="feeRateSchedule" type="Schedule"/> </xsd:choice> <xsd:element minOccurs="0" name="feePaymentDate" type="RelativeDateOffset"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
feeAmountSchedule

  Type: | AmountSchedule, complex content

  The exercise fee amount schedule. The fees are expressed as currency amounts. The currency of the fee is assumed to be that of the notional schedule referenced.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="feeAmountSchedule" type="AmountSchedule"/>

feePaymentDate

  Type: | RelativeDateOffset, complex content

  The date on which exercise fee(s) will be paid. It is specified as a relative date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="feePaymentDate" type="RelativeDateOffset"/>

feeRateSchedule

  Type: | Schedule, complex content

  The exercise free rate schedule. The fees are expressed as percentage rates of the notional being exercised. The currency of the fee is assumed to be that of the notional schedule referenced.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="feeRateSchedule" type="Schedule"/>

notionalReference

  Type: | ScheduleReference, empty content

  A pointer style reference to the associated notional schedule defined elsewhere in the document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notionalReference" type="ScheduleReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.